xine-lib: xxmc_driver_s Struct Reference

xine-lib 1.2.12

Data Fields
xxmc_driver_s Struct Reference

`#include <xxmc.h>`

## Data Fields
vo_driver_t | vo_driver
config_values_t * | config
Display * | display
int | screen
Drawable | drawable
unsigned int | xv_format_yv12
unsigned int | xv_format_yuy2
XVisualInfo | vinfo
GC | gc
XvPortID | xv_port
XColor | black
int | use_shm
int | use_pitch_alignment
xxmc_property_t | props [VO_NUM_PROPERTIES]
uint32_t | capabilities
xxmc_frame_t * | recent_frames [VO_NUM_RECENT_FRAMES]
xxmc_frame_t * | cur_frame
int | cur_field
int | bob
int | disable_bob_for_progressive_frames
int | disable_bob_for_scaled_osd
int | scaled_osd_active
x11osd * | xoverlay
int | xv_xoverlay_type
int | xoverlay_type
int | ovl_changed
vo_scale_t | sc
int | deinterlace_enabled
int | use_colorkey
uint32_t | colorkey
int(* | x11_old_error_handler )(Display *, XErrorEvent *)
xine_t * | xine
xvmc_macroblocks_t | macroblocks
xvmc_capabilities_t * | xvmc_cap
unsigned | xvmc_num_cap
unsigned int | xvmc_max_subpic_x
unsigned int | xvmc_max_subpic_y
int | xvmc_eventbase
int | xvmc_errbase
int | hwSubpictures
XvMCSubpicture * | old_subpic
XvMCSubpicture * | new_subpic
xx44_palette_t | palette
int | first_overlay
float | cpu_saver
int | cpu_save_enabled
int | reverse_nvidia_palette
int | context_flags
unsigned | xvmc_cur_cap
int | xvmc_backend_subpic
XvMCContext | context
int | contextActive
xvmc_surface_handler_t | xvmc_surf_handler
unsigned | xvmc_mpeg
unsigned | xvmc_accel
unsigned | last_accel_request
unsigned | xvmc_width
unsigned | xvmc_height
int | have_xvmc_autopaint
int | xvmc_xoverlay_type
int | unsigned_intra
char * | xvmc_palette
XvImage * | subImage
XShmSegmentInfo | subShmInfo
context_lock_t | xvmc_lock
alphablend_t | alphablend_extra_data

## Field Documentation

## ◆ alphablend_extra_data

alphablend_t xxmc_driver_s::alphablend_extra_data

## ◆ black

XColor xxmc_driver_s::black

## ◆ bob

int xxmc_driver_s::bob

## ◆ capabilities

uint32_t xxmc_driver_s::capabilities

## ◆ colorkey

uint32_t xxmc_driver_s::colorkey

## ◆ config

config_values_t* xxmc_driver_s::config

## ◆ context

XvMCContext xxmc_driver_s::context

Referenced by xvmc_check_colorkey_properties(), xxmc_create_context(), xxmc_dispose_context(), xxmc_duplicate_frame_data(), xxmc_frame_updates(), xxmc_mocomp_create_macroblocks(), and xxmc_setup_subpictures().

## ◆ context_flags

int xxmc_driver_s::context_flags

Referenced by xvmc_check_colorkey_properties(), and xxmc_create_context().

## ◆ contextActive

int xxmc_driver_s::contextActive

Referenced by xxmc_create_context(), xxmc_dispose_context(), xxmc_setup_subpictures(), and xxmc_xvmc_update_context().

## ◆ cpu_save_enabled

int xxmc_driver_s::cpu_save_enabled

## ◆ cpu_saver

float xxmc_driver_s::cpu_saver

## ◆ cur_field

int xxmc_driver_s::cur_field

## ◆ cur_frame

xxmc_frame_t* xxmc_driver_s::cur_frame

## ◆ deinterlace_enabled

int xxmc_driver_s::deinterlace_enabled

## ◆ disable_bob_for_progressive_frames

int xxmc_driver_s::disable_bob_for_progressive_frames

## ◆ disable_bob_for_scaled_osd

int xxmc_driver_s::disable_bob_for_scaled_osd

## ◆ display

Display* xxmc_driver_s::display

Referenced by xvmc_check_colorkey_properties(), xvmc_flush(), xxmc_check_xoverlay_type(), xxmc_create_context(), xxmc_dispose_context(), xxmc_duplicate_frame_data(), xxmc_mocomp_create_macroblocks(), and xxmc_setup_subpictures().

## ◆ drawable

Drawable xxmc_driver_s::drawable

Referenced by xxmc_check_xoverlay_type().

## ◆ first_overlay

int xxmc_driver_s::first_overlay

## ◆ gc

GC xxmc_driver_s::gc

## ◆ have_xvmc_autopaint

int xxmc_driver_s::have_xvmc_autopaint

Referenced by xvmc_check_colorkey_properties().

## ◆ hwSubpictures

int xxmc_driver_s::hwSubpictures

Referenced by xxmc_dispose_context(), and xxmc_setup_subpictures().

## ◆ last_accel_request

unsigned xxmc_driver_s::last_accel_request

## ◆ macroblocks

xvmc_macroblocks_t xxmc_driver_s::macroblocks

Referenced by xxmc_dispose_context(), xxmc_frame_updates(), and xxmc_mocomp_create_macroblocks().

## ◆ new_subpic

XvMCSubpicture * xxmc_driver_s::new_subpic

## ◆ old_subpic

XvMCSubpicture* xxmc_driver_s::old_subpic

## ◆ ovl_changed

int xxmc_driver_s::ovl_changed

## ◆ palette

xx44_palette_t xxmc_driver_s::palette

Referenced by xxmc_dispose_context(), and xxmc_setup_subpictures().

## ◆ props

xxmc_property_t xxmc_driver_s::props[VO_NUM_PROPERTIES]

Referenced by xvmc_check_colorkey_properties().

## ◆ recent_frames

xxmc_frame_t* xxmc_driver_s::recent_frames[VO_NUM_RECENT_FRAMES]

## ◆ reverse_nvidia_palette

int xxmc_driver_s::reverse_nvidia_palette

## ◆ sc

vo_scale_t xxmc_driver_s::sc

## ◆ scaled_osd_active

int xxmc_driver_s::scaled_osd_active

## ◆ screen

int xxmc_driver_s::screen

Referenced by xxmc_check_xoverlay_type().

## ◆ subImage

XvImage* xxmc_driver_s::subImage

Referenced by xxmc_dispose_context(), and xxmc_setup_subpictures().

## ◆ subShmInfo

XShmSegmentInfo xxmc_driver_s::subShmInfo

Referenced by xxmc_dispose_context(), and xxmc_setup_subpictures().

## ◆ unsigned_intra

int xxmc_driver_s::unsigned_intra

Referenced by xxmc_find_context(), and xxmc_frame_updates().

## ◆ use_colorkey

int xxmc_driver_s::use_colorkey

## ◆ use_pitch_alignment

int xxmc_driver_s::use_pitch_alignment

## ◆ use_shm

int xxmc_driver_s::use_shm

## ◆ vinfo

XVisualInfo xxmc_driver_s::vinfo

## ◆ vo_driver

vo_driver_t xxmc_driver_s::vo_driver

## ◆ x11_old_error_handler

int(* xxmc_driver_s::x11_old_error_handler) (Display *, XErrorEvent *)

## ◆ xine

xine_t* xxmc_driver_s::xine

Referenced by xxmc_check_xoverlay_type(), xxmc_create_context(), xxmc_dispose_context(), xxmc_duplicate_frame_data(), xxmc_find_context(), xxmc_setup_subpictures(), and xxmc_xvmc_update_context().

## ◆ xoverlay

x11osd* xxmc_driver_s::xoverlay

Referenced by xxmc_check_xoverlay_type().

## ◆ xoverlay_type

int xxmc_driver_s::xoverlay_type

Referenced by xxmc_check_xoverlay_type().

## ◆ xv_format_yuy2

unsigned int xxmc_driver_s::xv_format_yuy2

## ◆ xv_format_yv12

unsigned int xxmc_driver_s::xv_format_yv12

## ◆ xv_port

XvPortID xxmc_driver_s::xv_port

Referenced by xxmc_create_context().

## ◆ xv_xoverlay_type

int xxmc_driver_s::xv_xoverlay_type

Referenced by xxmc_check_xoverlay_type().

## ◆ xvmc_accel

unsigned xxmc_driver_s::xvmc_accel

Referenced by xxmc_accel_update(), xxmc_dispose_context(), xxmc_find_context(), xxmc_frame_updates(), and xxmc_xvmc_update_context().

## ◆ xvmc_backend_subpic

int xxmc_driver_s::xvmc_backend_subpic

Referenced by xxmc_setup_subpictures().

## ◆ xvmc_cap

xvmc_capabilities_t* xxmc_driver_s::xvmc_cap

Referenced by xxmc_create_context(), xxmc_duplicate_frame_data(), xxmc_find_context(), xxmc_setup_subpictures(), and xxmc_xvmc_update_context().

## ◆ xvmc_cur_cap

unsigned xxmc_driver_s::xvmc_cur_cap

Referenced by xxmc_create_context(), xxmc_duplicate_frame_data(), xxmc_find_context(), and xxmc_setup_subpictures().

## ◆ xvmc_errbase

int xxmc_driver_s::xvmc_errbase

## ◆ xvmc_eventbase

int xxmc_driver_s::xvmc_eventbase

## ◆ xvmc_height

unsigned xxmc_driver_s::xvmc_height

Referenced by xxmc_create_context(), and xxmc_xvmc_update_context().

## ◆ xvmc_lock

context_lock_t xxmc_driver_s::xvmc_lock

Referenced by xvmc_flush(), xxmc_duplicate_frame_data(), xxmc_lock_and_validate_surfaces(), and xxmc_unlock_surfaces().

## ◆ xvmc_max_subpic_x

unsigned int xxmc_driver_s::xvmc_max_subpic_x

## ◆ xvmc_max_subpic_y

unsigned int xxmc_driver_s::xvmc_max_subpic_y

## ◆ xvmc_mpeg

unsigned xxmc_driver_s::xvmc_mpeg

Referenced by xxmc_create_context(), and xxmc_xvmc_update_context().

## ◆ xvmc_num_cap

unsigned xxmc_driver_s::xvmc_num_cap

Referenced by xxmc_find_context().

## ◆ xvmc_palette

char* xxmc_driver_s::xvmc_palette

Referenced by xxmc_dispose_context(), and xxmc_setup_subpictures().

## ◆ xvmc_surf_handler

xvmc_surface_handler_t xxmc_driver_s::xvmc_surf_handler

## ◆ xvmc_width

unsigned xxmc_driver_s::xvmc_width

Referenced by xxmc_create_context(), xxmc_mocomp_create_macroblocks(), and xxmc_xvmc_update_context().

## ◆ xvmc_xoverlay_type

int xxmc_driver_s::xvmc_xoverlay_type

Referenced by xvmc_check_colorkey_properties(), and xxmc_check_xoverlay_type().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_out/xxmc.h